package com.vctgo.system.api.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.vctgo.system.api.domain.vo.VoteFileVo;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @TableName vote_submission
 */
@TableName(value = "vote_submission")
@Data
public class VoteSubmission implements Serializable {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    private Long eventId;

    private Long roundId;

    private String belongRegion;
//
//    private String promoteStatus;
//
//    private Date promoteTime;
//
//    private String award;
    /**
     * 作品名称
     */
    private String name;

    /**
     * 作品设置主键
     */
    private Long workSettingsId;

    /**
     * 提交人
     */
    private String commitName;

    /**
     //     * 园所主键
     //     */
//    private Long locationId;

    /**
     * 手机号
     */
    private String phone;

    private String createType;//创作类型

    private String mainAuthor;//主作者

    private String teamWorker;//协作者

    private String ageSegment;//班龄段(0小班 1中班 2大班)

    private String appraiseStatus;

//    private String file;//作品文档
//
//    private String video;//作品视频
//
//    private String images;//作品图片

//    /**
//     * 状态(0上架 1下架)
//     */
//    private String status;
//
//    /**
//     * 是否删除
//     */
//    private String isDeleted;
//
//    /**
//     * 创建人id
//     */
//    private Long createById;
//
//    /**
//     * 创建时间
//     */
//    private Date createAt;
//
//    /**
//     * 最近更新人id
//     */
//    private Long updateById;
//
//    /**
//     * 更新时间
//     */
//    private Date updateAt;
//
//    /**
//     * 租户id
//     */
//    private Long tenantId;

    @TableField(exist = false)
    private List<VoteFileVo> imageFiles;

    @TableField(exist = false)
    private List<VoteFileVo> videoFiles;

    @TableField(exist = false)
    private List<VoteFileVo> documentFiles;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}
