package com.vctgo.system.api.domain.dto;

import com.vctgo.system.api.domain.SysUser;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 班级配置人员信息对象 sys_re_class_user
 *
 * @author wanglonghua
 * @date 2023-10-09
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class BindClassUserDto
{

    /** 主键ID */
    private Long id;

    /** 班级ID */
    private Long classId;

    /** 主教老师 */
    private List<SysUser> mainTeacherList;

    /** 绑定类型（1=教师，4=幼儿） */
    private Integer bindType;

    /** 配教老师 */
    private List<SysUser> assistantTeacherList;

    /** 保育员列表 */
    private List<SysUser> nurseTeacherList;

    /** 幼儿列表 */
    private List<SysUser> childhoodList;

}
