package com.vctgo.system.api.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 临时配置对象 TemporaryConfig
 *
 * @author wanglonghua
 * @date 2023-05-30
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TemporaryConfig implements Serializable
{
    private static final long serialVersionUID = 8318506366456160909L;

    /** 忽略表 */
    private List<String> ignoreTables = new ArrayList<>();

    /**
     * 租户ID
     */
    private Long tenantId;

}
