package com.vctgo.common.core.constant;

/**
 * Token的Key常量
 *
 * @author vctgo
 */
public class TokenConstants {
    /**
     * 令牌自定义标识
     */
    public static final String AUTHENTICATION = "Authorization";

    /**
     * websocket令牌标识
     */
    public static final String WEBSOCKET_AUTHENTICATION = "Sec-WebSocket-Version";

    /**
     * 令牌前缀
     */
    public static final String PREFIX = "Bearer ";

    /**
     * 令牌秘钥
     */
    public final static String SECRET = "abcdefghijklmnopqrstuvwxyz";

}
