package com.vctgo.common.mybatisplus.aop;

import org.springframework.stereotype.Component;

import java.lang.annotation.*;

/**
 * 临时忽略表注解
 * <p>
 * caesar
 *
 * @author vctgo
 */
@Documented
@Inherited
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Component
public @interface TemporaryIgnoreTables {

    /**
     * 自定义数据处理器参数
     */
    String[] temporaryIgnoreTables() default {};
}
