package com.vctgo.file.domain.dto;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.system.api.domain.FileInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.HashSet;
import java.util.Set;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FileInfoAuthDto {

    private IPage<FileInfo> fileInfoIPage = new Page<>();

    private Set<String> pagePermissionSet = new HashSet<>();
}
