package com.vctgo.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.TenantEntity;
import lombok.Data;

/**
 * 租户幼儿园关联对象 sys_re_tenant_kindergarten
 *
 * @author wanglonghua
 * @date 2023-08-09
 */
@Data
@TableName("sys_re_tenant_kindergarten")
public class SysReTenantKindergarten extends TenantEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    @TableId
    private Long id;

    /** 幼儿园ID */
    @Excel(name = "幼儿园ID")
    private Long branchId;

    /** 所属集团ID */
    @Excel(name = "所属集团ID")
    private Long gardenId;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDeleted;

}
