package com.vctgo.system.domain.dto;

import com.vctgo.common.core.annotation.Excel;
import com.vctgo.system.domain.SysAreaSetting;
import lombok.Data;

import java.util.List;

/**
 * 班级设置对象 sys_class_setting
 *
 * @author caesar
 * @date 2023-05-30
 */
@Data
public class SysClassSettingDto
{

    /** 入学年份 */
    @Excel(name = "*入学年份")
    private String enrollmentYear;

    /** 所在年级 */
    @Excel(name = "*所在年级")
    private String gradeIn;

    /** 班级编号 */
    @Excel(name = "*班级编号")
    private String classNumber;

    /** 班级别名 */
    @Excel(name = "班级别名")
    private String classAlias;

    private List<SysAreaSetting> areaSettingList;
}
