package com.vctgo.system.service;

import com.vctgo.system.api.domain.SysPlatformUser;

import java.util.Set;

public interface ISysPlatformPermissionService
{
      /**
       * 获取角色数据权限
       *
       * @param user 用户Id
       * @return 角色权限信息
       */
      Set<String> getRolePermission(SysPlatformUser user);

      /**
       * 获取菜单数据权限
       *
       * @param user 用户Id
       * @return 菜单权限信息
       */
      Set<String> getMenuPermission(SysPlatformUser user);
}
