package com.vote.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.util.Date;

/**
 * @author feng
 * @date 2024/8/26
 */
@Data
public class VoteEvaluationRoundVo {
    @JsonSerialize(using = ToStringSerializer.class)
    private Long roundId;
    private Object type;//类型
    private Integer roundNumber; // 评选轮次
    private String roundName; // 评选轮次名称
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startDate; // 评选开始时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endDate; // 评选结束时间
    private Integer participateCount; // 参与作品数
    private Integer judgedCount; // 专家数
    private Long zonesCount; // 赛区数
    private Integer doneJudgedCount; // 完成任务专家数
    private Integer doneSubmissionCount; // 完成作品数
    private Integer awardCount; // 奖品数
}
