package com.vote.system.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.util.List;


@Data
public class VoteRoundVo {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long roundId;
    private String roundName; // 轮次名称，例如 “第一轮”
    private String type;
    private String totalProgress; // 评审总进度，例如 180 / 300
    private String okProgress; // 评审总进度，例如 180 / 300
    private Integer reviewed; // 已评审数量，例如 78
    private List<VoteJudgeProgressVo> judgeProgressVos; // 该类别下的评审轮次信息
}
