package com.vote.system.domain.vo;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author feng
 * @date 2024/8/21
 */
@Data
public class VoteSubmissionCountVo {
    private String province;//省份
    private Long count;//数量
    private Integer allSubmission;//全部作品
    private Integer pendingCount;//待定数
    private Integer promoteCount;//晋级数
    private Integer alreadyAwarded;//已评奖
    private List<Map<String,Integer>> awardNameList;//奖项名集合


}
