package com.vote.system.mapper;

import com.vote.system.domain.VoteEvaluationTasks;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author Administrator
* @description 针对表【vote_evaluation_tasks(评选任务表)】的数据库操作Mapper
* @createDate 2024-08-24 19:48:38
* @Entity com.vote.system.domain.VoteEvaluationTasks
*/
public interface VoteEvaluationTasksMapper extends BaseMapper<VoteEvaluationTasks> {

    int insertBatch(List<VoteEvaluationTasks> tasksToInsert);

    int updateBySubmissionId(@Param("submissionId") Long submissionId, @Param("userId") String userId);
}




