package com.vote.system.mapper;

import com.vote.system.domain.VoteOrganizers;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;

/**
* @author MacBook
* @description 针对表【vote_organizers(主办方)】的数据库操作Mapper
* @createDate 2024-08-11 17:31:18
* @Entity com.vote.system.domain.VoteOrganizers
*/
public interface VoteOrganizersMapper extends BaseMapper<VoteOrganizers> {

    @Select("SELECT COUNT(*) > 0 FROM vote_organizers WHERE name = #{name}")
    boolean existsByName(String name);
}




