package com.vote.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vctgo.common.core.web.domain.AjaxResult;
import com.vote.system.domain.dto.VoteEvaluationTasksDto;
import com.vote.system.domain.vo.VoteAppraiseVo;
import com.vote.system.domain.vo.VoteEventRegistrationsVo;
import com.vote.system.domain.vo.VoteSubmissionVo;

import java.util.List;
import java.util.Map;

/**
 * @author feng
 * @date 2024/8/26
 */
public interface VoteAppraiseService {
    VoteAppraiseVo getVoteAppraiseByEventId(Long eventId);

    IPage<VoteSubmissionVo> getSubmissionList(VoteEvaluationTasksDto voteEvaluationTasksDto);

    List<Map<String, String>> getJudgesList(VoteEvaluationTasksDto voteEvaluationTasksDto);

}
