package com.vote.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vote.system.domain.VoteEvaluationTasks;
import com.baomidou.mybatisplus.extension.service.IService;
import com.vote.system.domain.dto.VoteEvaluationTasksDto;
import com.vote.system.domain.vo.VoteEvaluationTasksCountVo;
import com.vote.system.domain.vo.VoteJudgeTaskInfoVo;
import com.vote.system.domain.vo.VoteTasksIssueVo;
import com.vote.system.domain.vo.VoteTasksScoresVo;

import java.util.List;

/**
 * @author Administrator
 * @description 针对表【vote_evaluation_tasks(评选任务表)】的数据库操作Service
 * @createDate 2024-08-24 19:48:38
 */
public interface VoteEvaluationTasksService extends IService<VoteEvaluationTasks> {

    VoteEvaluationTasksCountVo getStatistics(VoteEvaluationTasksDto voteEvaluationTasksDto);

    IPage<VoteJudgeTaskInfoVo> selectPage(VoteEvaluationTasksDto voteEvaluationTasksDto);

    IPage<VoteTasksScoresVo> getDetail(VoteEvaluationTasksDto voteEvaluationTasksDto);

    IPage<VoteTasksIssueVo> tasksIssue(VoteEvaluationTasksDto voteEvaluationTasksDto);

    int releaseTask(VoteEvaluationTasksDto voteEvaluationTasksDto);

}
