package com.vote.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vote.system.domain.VoteEventCompetitionZones;
import com.baomidou.mybatisplus.extension.service.IService;
import com.vote.system.domain.VoteSubmission;
import com.vote.system.domain.vo.VoteEventCompetitionZonesVo;
import com.vote.system.domain.vo.VoteSubmissionCountVo;

import java.util.List;
import java.util.Map;

/**
* @author MacBook
* @description 针对表【vote_event_competition_zones(活动赛区表)】的数据库操作Service
* @createDate 2024-08-21 14:21:04
*/
public interface VoteEventCompetitionZonesService extends IService<VoteEventCompetitionZones> {

    List<VoteSubmissionCountVo> getSubmissionCount(VoteSubmission voteSubmission);

    int deleteZones(Long id);

    IPage<VoteEventCompetitionZonesVo> selectByPage(VoteEventCompetitionZones voteEventCompetitionZones);

    int addZones(VoteEventCompetitionZones voteEventCompetitionZones);

    List<Map<String, String>> showJudges(VoteEventCompetitionZones voteEventCompetitionZones);
}
