package com.vote.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vctgo.common.core.web.domain.AjaxResult;
import com.vote.system.domain.VoteFormTemplates;
import com.baomidou.mybatisplus.extension.service.IService;
import com.vote.system.domain.dto.VoteFormTemplatesDto;
import org.springframework.data.domain.Page;

/**
* @author MacBook
* @description 针对表【vote_form_templates(报名表表单模板)】的数据库操作Service
* @createDate 2024-08-09 11:26:00
*/
public interface VoteFormTemplatesService extends IService<VoteFormTemplates> {


    int createVoteFormTemplates(VoteFormTemplates voteFormTemplates);

    IPage<VoteFormTemplates> selectPage(VoteFormTemplates voteFormTemplates);

    int editVoteFormTemplates(VoteFormTemplates voteFormTemplates);

    int deleteById(VoteFormTemplatesDto voteFormTemplatesDto);
}
