package com.vote.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vote.system.domain.VoteRegistrations;
import com.baomidou.mybatisplus.extension.service.IService;
import com.vote.system.domain.dto.VoteRegistrationsDto;
import com.vote.system.domain.vo.VoteRegistrationsVo;

/**
* @author MacBook
* @description 针对表【vote_registrations(报名表)】的数据库操作Service
* @createDate 2024-08-19 10:19:48
*/
public interface VoteRegistrationsService extends IService<VoteRegistrations> {

    Page<VoteRegistrationsVo> selectPage(VoteRegistrationsDto voteRegistrationsDto);

    int editStatus(VoteRegistrations voteRegistrations);

    VoteRegistrationsVo getUserInfo(Long id);
}
