package com.vote.system.service;

import com.vote.system.domain.VoteScoringItem;
import com.baomidou.mybatisplus.extension.service.IService;
import com.vote.system.domain.dto.VoteScoringItemDto;

import java.util.List;

/**
* @author MacBook
* @description 针对表【vote_scoring_item】的数据库操作Service
* @createDate 2024-08-06 15:39:41
*/
public interface VoteScoringItemService extends IService<VoteScoringItem> {

    List<VoteScoringItem> queryByRuleId(Long ruleId);

    int insertVoteScoringItem(VoteScoringItem voteScoringItem);


    Integer saveVoteScoringItem(VoteScoringItemDto voteScoringItemDto);
}
