const options = {
  yOrN: [
    { label: "是", value: "Y" },
    { label: "否", value: "N" },
  ],
  yOrNMap: { Y: "Y", N: "N" },
  yesOrNo: [
    { label: "是", value: "1" },
    { label: "否", value: "0" },
  ],
  yesOrNoMap: { Y: "1", N: "0" },
  // toy
  toyImprovedType: [
    { label: "完善", value: "1" },
    { label: "关联", value: "2" },
  ], // 玩具待完善列表 类型
  toyImprovedTypeMap: { improved: "1", contact: "2" },
  toySysStatus: [
    { label: "显示", value: "0" },
    { label: "隐藏", value: "1" },
  ], // 玩具显示、隐藏
  toySysStatusMap: { show: "0", disappear: "1" },
  toyReleaseClass: [
    { label: "0-3", value: "0" },
    { label: "小班", value: "1" },
    { label: "中班", value: "2" },
    { label: "大班", value: "3" },
    { label: "6+", value: "4" },
  ], // 玩具投放班级
  toyImprovedStatus: [
    { label: "待完善", value: "1" },
    { label: "已完善", value: "2" },
    { label: "审核中", value: "3" },
    { label: "审核通过", value: "4" },
    { label: "审核未通过", value: "5" },
  ], // 玩具待完善状态
  toyImprovedStatusMap: {
    improving: "1",
    improved: "2",
    auditing: "3",
    pass: "4",
    reject: "5",
  },
  sortLevel: [
    { label: "玩具分类", value: "1" },
    { label: "二级分类", value: "2" },
    { label: "三级分类", value: "3" },
    { label: "发展目标", value: "4" },
    { label: "多样性", value: "5" },
  ],
  // system
  sysUserSex: [
    { label: "男", value: "0" },
    { label: "女", value: "1" },
    { label: "未知", value: "2" },
  ],
  sysTenantTypeMap: { group: "1", kindergarten: "2", kindergartenSingle: "3" },
  sysTenantStatusMap: { Y: "0", N: "1" },
  kindergartenType: [
    { label: "独立幼儿园", value: "1" },
    { label: "集团幼儿园", value: "2" },
    { label: "其他", value: "3" },
  ],
  kindergartenTypeMap: {
    kindergartenSingle: "1",
    kindergartenGroup: "2",
    other: "3",
  },
  longTerm: { Y: "0", N: "1" },
  tenantAccountStatus: [
    { label: "已开通", value: "已开通" },
    { label: "已禁用", value: "已禁用" },
    { label: "未开通", value: "未开通" },
  ], // 幼儿园管理的租户状态查询条件

  // 流程管理
  projectType: [
    { label: "平台-幼儿园协作", value: "3" },
    { label: "平台独立", value: "1" },
    { label: "幼儿园独立", value: "2" },
  ],
  projectTypeMap: {
    platform: { label: "平台独立", value: "1" },
    kindergarten: { label: "幼儿园独立", value: "2" },
    platKinder: { label: "平台-幼儿园协作", value: "3" },
  },
  isTurnoverExpert: [
    { label: "是", value: "1" },
    { label: "否", value: "0" },
  ],
  participantTypeMap: {
    platform: { label: "项目组", value: "1" },
    kindergarten: { label: "幼儿园", value: "2" },
    professor: { label: "特邀专家", value: "3" },
  },
  participantType: [
    { label: "项目组", value: "1" },
    { label: "幼儿园", value: "2" },
    { label: "特邀专家", value: "3" },
  ],
  projectStatus: [
    { label: "待开始", value: "1" },
    { label: "进行中", value: "2" },
    { label: "已完成", value: "3" },
  ],
  projectStatusMap: {
    begin: { label: "待开始", value: "1" },
    ing: { label: "进行中", value: "2" },
    finish: { label: "已完成", value: "3" },
  },
  taskType: [
    { label: "主线任务", value: "1" },
    { label: "子任务", value: "2" },
  ],
  taskTypeMap: {
    main: { label: "主线任务", value: "1" },
    branch: { label: "子任务", value: "2" },
  },
  transferUserType: [
    { label: "流转人", value: "1" },
    { label: "抄送人", value: "2" },
  ],
  transferUserTypeMap: {
    transfer: { label: "流转人", value: "1" },
    copy: { label: "抄送人", value: "2" },
  },
  all: { label: "全部", value: "999" },
  fileType: [
    { label: "文档", value: "1", icon: "word" },
    { label: "图片", value: "2", icon: "null" },
    { label: "视频", value: "3", icon: "video" },
    { label: "音频", value: "4", icon: "audio" },
    { label: "压缩包", value: "5", icon: "tags" },
    { label: "其他", value: "99", icon: "other" },
  ],
  fileTypeMap: { png: { value: "2" } },
  directoryType: [
    { label: "版本文件", value: "1" },
    { label: "评论文件", value: "2" },
  ],
  directoryTypeMap: {
    transfer: { label: "版本文件", value: "1" },
    discuss: { label: "评论文件", value: "2" },
  },
  // 消息通知
  serviceType: [
    { label: "任务", value: "1" },
    { label: "流转", value: "2" },
    { label: "抄送", value: "3" },
    { label: "点评", value: "4" },
  ],

  // 资源管理
  achievementAuthCode: [
    { label: "查看", value: "scheme:achievement:info:query" },
    { label: "新增", value: "scheme:achievement:info:add" },
    { label: "编辑", value: "scheme:achievement:info:edit" },
    { label: "下载", value: "profile:achievement:file:info:download" },
    { label: "删除", value: "scheme:achievement:info:abandon" },
  ],
  templateAuthCode: [
    { label: "查看", value: "cloud:storage:info:open" },
    { label: "上传", value: "schemeTemplate:info:batch:add" },
    { label: "编辑", value: "schemeTemplate:info:batch:edit" },
    { label: "下载", value: "profile:template:file:info:download" },
    { label: "删除", value: "schemeTemplate:info:abandon" },
  ],
  profileAuthCode: [
    { label: "查看", value: "profile:file:info:show" },
    { label: "编辑", value: "profile:file:info:edit" },
    { label: "批量编辑", value: "profile:file:info:batch:edit" },
    { label: "下载", value: "profile:file:info:download" },
    { label: "上传", value: "profile:file:info:upload" },
    { label: "删除", value: "profile:file:info:delete" },
  ],
  menuAuthCode: [
    { label: "标签管理", value: "profile:file:label:page" },
    { label: "基础权限设置", value: "profile:user:info:page" },
    { label: "园所资料授权", value: "profile:file:kindergarten:page" },
    { label: "主题方向", value: "profile:topic:direction:page" },
  ],
  policyAuthCode: [
    { label: "查看", value: "profile:policy:info:query" },
    { label: "新增", value: "profile:policy:info:add" },
    { label: "编辑", value: "profile:policy:info:edit" },
    { label: "下载", value: "profile:policy:info:download" },
    { label: "删除", value: "profile:policy:info:abandon" },
  ],
  resourceAuthCode: [
    { label: "查看", value: "profile:place:resource:query" },
    { label: "新增", value: "profile:place:resource:add" },
    { label: "编辑", value: "profile:place:resource:edit" },
    { label: "下载", value: "profile:place:resource:download" },
    { label: "删除", value: "profile:place:resource:abandon" },
  ],
  theoryAuthCode: [
    { label: "查看", value: "profile:theory:info:query" },
    { label: "新增", value: "profile:theory:info:add" },
    { label: "编辑", value: "profile:theory:info:edit" },
    { label: "下载", value: "profile:theory:info:download" },
    { label: "删除", value: "profile:theory:info:abandon" },
  ],
  caseAuthCode: [
    { label: "查看", value: "profile:activity:case:detail" },
    { label: "新增", value: "profile:activity:case:add" },
    { label: "编辑", value: "profile:activity:case:edit" },
    { label: "下载", value: "profile:activity:case:download" },
    { label: "删除", value: "profile:activity:case:delete" },
  ],
  gameAuthCode: [
    { label: "查看", value: "activity:game:query" },
    { label: "新增", value: "activity:game:add" },
    { label: "编辑", value: "activity:game:edit" },
    { label: "下载", value: "activity:game:download" },
    { label: "删除", value: "activity:game:abandon" },
  ],
  accountStatus: [
    { label: "启用", value: "启用" },
    { label: "禁用", value: "禁用" },
    { label: "移除账号", value: "移除账号" },
  ],
  solutionModule: [{label:"文化",value:"文化"},{label:"课程",value:"课程"},{label:"课题",value:"课题"},{label:"论文",value:"论文"},{label:"书稿",value:"书稿"}],
  solutionType: [
    { label: "方案", value: "方案" },
    { label: "附件", value: "附件" },
  ],
  solutionVersion: [1, 2, 3, 4, 5].map((item) => ({
    label: `v${item}.0`,
    value: `v${item}.0`,
  })),
  achievementFileType: [
    {
      label: "正式版方案文件",
      value: "10",
      key: "schemeIntactFileList",
      required: true,
    },
    {
      label: "正式版方案附件",
      key: "schemeIntactAttachmentFileList",
      value: "20",
    },
    { label: "隐藏版方案文件", key: "schemeHideFileList", value: "30" },
    {
      label: "隐藏版方案附件",
      key: "schemeHideAttachmentFileLis",
      value: "40",
    },
  ],
  policyType: [
    { label: "国家政策", value: "国家政策" },
    { label: "地方政策", value: "地方政策" },
    { label: "领导人讲话", value: "领导人讲话" },
  ],
  policyTypeMap: {
    country: "国家政策",
    local: "地方政策",
    leader: "领导人讲话",
  },
  resourceType: [
    { label: "自然", value: "自然" },
    { label: "物遗", value: "物遗" },
    { label: "非遗", value: "非遗" },
    { label: "传统文化", value: "传统文化" },
    { label: "革命文化", value: "革命文化" },
    { label: "现代文化", value: "现代文化" },
  ],
  publishTime: [
    { label: "古代", value: "古代" },
    { label: "近代", value: "近代" },
    { label: "现代", value: "现代" },
    { label: "当代", value: "当代" },
  ],
  nationality: [
    { label: "中国", value: "中国" },
    { label: "外国", value: "外国" },
  ],
  profileType: {
    profile: "profile",
    achievement: "achievement",
    template: "template",
    policy: "policy",
    place: "place",
    theory: "theory",
    case: "case",
    game: "game",
  },
  // profile：园所资料、achievement：方案成果、template：方案模版、policy：政策文件、place：地方资源、theory：专业理论列表
  // 职工管理
  politicalOutlook: [
    { label: "中共党员", value: "1" },
    { label: "共青团员", value: "2" },
    { label: "其他党派", value: "3" },
    { label: "群众", value: "4" },
  ],
  workStatus: [
    { label: "在职", value: "1" },
    { label: "离职", value: "2" },
  ],
  professionalQualifications: [
    { label: "正高教师", value: "1" },
    { label: "副高教师", value: "2" },
    { label: "一级教师", value: "3" },
    { label: "二级教师", value: "4" },
    { label: "三级以上", value: "5" },
    { label: "其他", value: "6" },
  ],
  BackboneType: [
    { label: "省级骨干", value: "1" },
    { label: "市级骨干", value: "2" },
    { label: "区级骨干", value: "3" },
    { label: "园级骨干", value: "3" },
  ],
  isBackboneType: [
    { label: "是", value: "1" },
    { label: "否", value: "2" },
  ],
  subjectLeader: [
    { label: "是", value: "1" },
    { label: "否", value: "2" },
  ],
  certificateType: [
    { label: "幼儿教师资格证", value: "1" },
    { label: "小学教师资格证", value: "2" },
    { label: "初中及高中教师资格证", value: "3" },
    { label: "中职教师资格证", value: "4" },
    { label: "高校教师资格证", value: "4" },
  ],
  educationType: [
    { label: "专科", value: "1" },
    { label: "本科", value: "2" },
    { label: "硕士", value: "3" },
    { label: "博士", value: "4" },
    { label: "其他", value: "5" },
  ],
  userSex: [
    { label: "男", value: "0" },
    { label: "女", value: "1" },
  ],
  errMsg: { phoneError: "该手机号为其他幼儿园教职工手机号，是否确认保存？" },

  // toy
  checkResult: [
    { label: "待核对", value: "0" },
    { label: "已完善", value: "1" },
    { label: "已关联", value: "2" },
  ],
  checkResultTagType: {
    0: {
      label: "待核对",
      type: "warning",
    },
    1: {
      label: "已完善",
      type: "success",
    },
    2: {
      label: "已关联",
      type: "success",
    },
  },
  improveStatus: [
    { label: "待提交", value: "2" },
    { label: "待审核", value: "3" },
    { label: "已通过", value: "4" },
    { label: "已驳回", value: "5" },
    { label: "已作废", value: "6" },
  ],
  improveStatusTagType: {
    2: {
      label: "待提交",
      type: "blue",
    },
    3: {
      label: "待审核",
      type: "warning",
    },
    4: {
      label: "已通过",
      type: "success",
    },
    5: {
      label: "已驳回",
      type: "danger",
    },
    6: {
      label: "已作废",
      type: "danger",
    },
  },
  // classOptions: [{ label: '小班', value: '小班' }, { label: '中班', value: '中班' }, { label: '大班', value: '大班' }],
  checkToyResult: [
    { label: "--", value: "0" },
    { label: "完善平台玩具", value: "1" },
    { label: "关联平台玩具", value: "2" },
  ],
  classOptions: {
    0: "0-3",
    1: "小班",
    2: "中班",
    3: "大班",
    4: "6+",
  },
  GuideEnableUseMap: [
    { label: "启用", value: "0" },
    { label: "禁用", value: "1" },
  ],
  GameFeatures: [
    { label: "材料核心玩法", value: "0" },
    { label: "材料扩展玩法", value: "1" },
  ],
  bookSearchRule: [
    { label: "ISBN", value: "isbn" },
    { label: "中文名称", value: "chineseName" },
    { label: "文字作者", value: "author" },
  ],
  gameSearchRule: [
    { label: "玩法名称", value: "gameName" },
    { label: "玩具名称", value: "gameMaterials" },
  ],
};

export default options;
