package com.vctgo.system.api.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @TableName vote_scoring_item
 */
@Data
@TableName("vote_scoring_item")
public class VoteScoringItem implements Serializable {
    /**
     * 主键
     */
    @TableId (value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 评分项
     */
    private String scoring;

    /**
     * 分值
     */
    private Double score;

    /**
     * 评分标准
     */
    private String standard;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 规则主键
     */
    private Long ruleId;

    private static final long serialVersionUID = 1L;

}
