package com.vctgo.system.api.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Description 统计对象
 * @Date   2023-11-30
 * @Author WangLongHua
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class StaticsUserPermsDto implements Serializable
{
    private static final long serialVersionUID = 3771216716547470045L;

    /** 用户ID */
    private Long userId;

    /** 权限列表 */
    private List<String> permsList;

    /** 数量 */
    private Long count;

    /** 租户ID */
    private Long tenantId;
}
