package com.vctgo.system.api.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @author feng
 * @date 2024/8/29
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class VoteExpertWorkingPlatformDto implements Serializable {

    private String judgesId;

    private Long eventId;

    private Long workSettingsId;

    private Long roundId;

    private Long submissionId;

    private String status;

    private List<VoteSubmissionItemVo> itemList;
}
