package com.vctgo.common.core.constant;

/**
 * 权限相关通用常量
 *
 * @author vctgo
 */
public class SecurityConstants {
    /**
     * 租户ID字段
     */
    public static final String DETAILS_TENANT_ID = "tenant-id";

    /**
     * 租户ID字段
     */
    public static final String DETAILS_TENANT_TYPE = "tenant-type";

    /**
     * 租户名称
     */
    public static final String DETAILS_TENANT_NAME = "tenant-name";

    /**
     * 租户
     */
    public static final String DETAILS_TENANT = "tenant-";

    /**
     * 部门ID字段
     */
    public static final String DETAILS_DEPT_ID = "dept_id";

    /**
     * 用户ID字段
     */
    public static final String DETAILS_USER_ID = "user_id";

    /**
     * 用户名字段
     */
    public static final String DETAILS_USER_ACCOUNT = "user_account";

    /**
     * 用户名字段
     */
    public static final String DETAILS_USERNAME = "username";

    /**
     * 用户名字段
     */
    public static final String DETAILS_NICKNAME = "nickname";

    /**
     * 授权信息字段
     */
    public static final String AUTHORIZATION_HEADER = "authorization";

    /**
     * 请求来源
     */
    public static final String FROM_SOURCE = "from-source";

    /**
     * 内部请求
     */
    public static final String INNER = "inner";

    /**
     * 用户标识
     */
    public static final String USER_KEY = "user_key";

    /**
     * 登录用户
     */
    public static final String LOGIN_USER = "login_user";
    /**
     * 角色权限
     */
    public static final String ROLE_PERMISSION = "role_permission";

    /**
     * 授权信息字段
     */
    public static final String REMOTE_HEADER = "remoteheader";
}
