package com.vctgo.gateway.config.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.Configuration;

import java.util.ArrayList;
import java.util.List;

/**
 * 演示账号列表
 *
 * @author vctgo
 */
@Configuration
@RefreshScope
@ConfigurationProperties(prefix = "security.demo")
@Data
public class DemoAccountProperties
{
    /**
     * 演示账号列表
     */
    private List<String> accountList = new ArrayList<>();

}
