package com.vctgo.file.domain;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "minio")
public class MinioInfo {

    // 内网用到微服务调用minio
    private String url;
    // 外网用到前端访问文件
    private String externalUrl;

    private String accesskey;

    private String secretkey;

}

