package com.vctgo.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.KinderInfoPlatformBaseEntity;
import lombok.Data;

/**
 * 标签管理对象 sys_tag_management
 *
 * @author wanglonghua
 * @date 2023-08-14
 */
@Data
@TableName("sys_tag_management")
public class SysTagManagement extends KinderInfoPlatformBaseEntity
{
    private static final long serialVersionUID = 3940911165823198136L;

    /** 主键ID */
    @Excel(name = "主键ID")
    @TableId
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 所属服务 */
    @Excel(name = "所属服务")
    private String serviceName;

    /** 标签名 */
    @Excel(name = "标签名")
    private String tagName;

    /** 标签数量 */
    @Excel(name = "标签数量")
    private Long tagNum;

    /** 标签状态 */
    @Excel(name = "标签状态")
    private String tagStatus;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDeleted;

}
