package com.vote.system.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

/**
 * 活动资讯轮播图表
 *
 * @TableName vote_event_news_carousels
 */
@Data
public class VoteEventNewsCarousels implements Serializable {
    /**
     *
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 活动ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long eventId;

    /**
     * 轮播图图片地址
     */
    private String imageUrl;

    /**
     * 跳转地址/资讯编号
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long newsId;

    /**
     * 排序
     */
    private Integer sortOrder;

    /**
     *
     */
    private Date createdAt;

    /**
     *
     */
    private Date updatedAt;

    private String isDelete;

    @TableField(exist = false)
    private String title;

    private static final long serialVersionUID = 1L;
}