package com.vote.system.domain.appletVo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;


/**
 * @author feng
 * @date 2024/9/4
 */
@Data
public class VoteUserSubmissionVo {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long workStingsId;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long eventId;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long submissionId;//作品主键

    private String name;//作品名称

    private String eventsName;//活动名

    private String ageSegment;//班龄段

    private String file;//文件

    private String images;//图片

    private String video;//视频

    private String mainAuthor;//主作者

    private String phone;//电话

    private String teamWorker;//协作者

    private String createType;//创作类型

    private String appraiseStatus;//评选状态

    private String remarks;//取消原因



}
