package com.vote.system.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

/**
 * 评选任务返回类封装
 *
 * @author feng
 * @date 2024/8/26
 */
@Data
public class VoteJudgeTaskInfoVo {
    @JsonSerialize(using = ToStringSerializer.class)
    private Long judgeId;//专家id
    private String judgeName;//姓名
    private Integer taskCount;// 任务数
    private Integer doneTaskCount;// 完成任务数
    private Integer undoneCount;//未完成数
    private String ZonesName;//赛区
    private String province;//省份

}
