package com.vote.system.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.vctgo.system.api.domain.vo.VoteFileVo;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author feng
 * @date 2024/8/20
 */
@Data
public class VoteSubmissionVo {

    private Long id;

    private String name;//作品名称

    private String workTypeName;//类型名

    private Date commitTime;//提交时间

    private String commitName;//提交人

    private String locationName;//地址

    private String phone;//电话

    private Integer sort;//排序

    private BigDecimal score;//总分

    private String judge;//专家

    private String promoteStatus;//晋级状态

    private String award;//奖项

    private String status;//状态

    private String createType;//创作类型

    private String mainAuthor;//主作者

    private String teamWorker;//协作者

    private String ageSegment;//班龄段(0小班 1中班 2大班)

    private List<VoteFileVo> imageFiles;

    private List<VoteFileVo> documentFiles;

    private List<VoteFileVo> videoFiles;
}
