package com.vote.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 评选任务详情返回包装类
 *
 * @author feng
 * @date 2024/8/26
 */
@Data
public class VoteTasksScoresVo {
    private String submissionName;
    private String commitName;
    private String locationName;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date scoresTime;
    private BigDecimal score;
}
