package com.vote.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author feng
 * @date 2024/8/26
 */
@Data
public class VoteWorkTypeVo {
    private Long workSettingsId;
    private String workTypeName; // 作品类型名称
    private String alias; // 类型别称
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date submissionEndDate; // 作品提交截止时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date submissionStaDate; // 作品提交开始时间
    private List<VoteEvaluationRoundVo> evaluationRounds; // 评选轮次集合
}
