package com.vote.system.mapper;

import com.vote.system.domain.VoteEventNews;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author MacBook
 * @description 针对表【vote_event_news(活动资讯表)】的数据库操作Mapper
 * @createDate 2024-08-11 17:57:11
 * @Entity com.vote.system.domain.VoteEventNews
 */
public interface VoteEventNewsMapper extends BaseMapper<VoteEventNews> {

    void updateNewsReadCount(@Param("newsId") Long newsId);

    void updateNewsLikeCount(@Param("newsId") Long newsId);
}




