package com.vote.system.service;

import com.vote.system.domain.VoteJudgesVisibleFields;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @author Administrator
 * @description 针对表【vote_judges_visible_fields(专家可见信息配置表)】的数据库操作Service
 * @createDate 2024-08-26 19:27:00
 */
public interface VoteJudgesVisibleFieldsService extends IService<VoteJudgesVisibleFields> {

    List<Map<String, String>> selectByWorkSettingsId(Long workSettingsId);

    int addVoteJudgesVisibleFields(VoteJudgesVisibleFields voteJudgesVisibleFields);
}
