package com.vote.system.util;

import java.util.HashMap;
import java.util.Map;

/**
 * @Description 常量类
 * @Author wanglonghua
 * @return
 */
public class ConstantUtils {

    // 不是专家
    public static final String IS_EXPERT_0 = "0";

    // 是专家
    public static final String IS_EXPERT_1 = "1";

    //上架
    public static final String commit_shelves = "0";
    //下架
    public static final String pull_shelves = "1";
    //待发布
    public static final String wait_shelves = "2";

    public static final String TOY_IMPORT_TEMPLATE = "templates";

    // 是否删除-否
    public static final String IS_DELETED_0 = "0";

    // 是否删除-是
    public static final String IS_DELETED_1 = "1";

    // 系统默认岗位-主班教师
    public static final String IS_SYS_POST_ZBJS = "主班教师";

    // 系统默认岗位-配班教师
    public static final String IS_SYS_POST_PBJS = "配班教师";

    // 系统默认岗位-保育员
    public static final String IS_SYS_POST_BYY = "保育员";

    // 年级-小班
    public static final String GRADE_IN_1 = "1";

    // 年级-中班
    public static final String GRADE_IN_2 = "2";

    // 年级-大班
    public static final String GRADE_IN_3 = "3";

    // 租户类型-集团
    public static final Integer TENANT_TYPE_1 = 1;

    // 租户类型-幼儿园（存在集团）
    public static final Integer TENANT_TYPE_2 = 2;

    // 租户类型-幼儿园（不存在集团）
    public static final Integer TENANT_TYPE_3 = 3;

    // 幼儿园类型-独立幼儿园
    public static final String KINDERGARTEN_TYPE_1 = "1";

    // 幼儿园类型-集团幼儿园
    public static final String KINDERGARTEN_TYPE_2 = "2";

    // 幼儿园类型-集团
    public static final String KINDERGARTEN_TYPE_3 = "3";

    // 账号状态-启用
    public static final String ACCOUNT_STATUS_0 = "0";

    // 账号状态-禁用
    public static final String ACCOUNT_STATUS_1 = "1";

    // 账号状态-未启用
    public static final String ACCOUNT_STATUS_2 = "2";

    // 组织类型-集团
    public static final String DEPT_TYPE_1 = "1";

    // 组织类型-幼儿园
    public static final String DEPT_TYPE_2 = "2";

    // 组织类型-部门
    public static final String DEPT_TYPE_3 = "3";

    // 幼儿学籍状态-在园
    public static final String IN_KINDERGARTEN_STATUS_0 = "0";

    // 幼儿学籍状态-转园
    public static final String IN_KINDERGARTEN_STATUS_1 = "1";

    // 幼儿学籍状态-退园
    public static final String IN_KINDERGARTEN_STATUS_2 = "2";

    // 幼儿学籍状态-毕业
    public static final String IN_KINDERGARTEN_STATUS_3 = "3";

    // 1 平台录入
    public static final String STAFF_INFO_SOURCE_PLATFORM = "1";

    // 2 育研建评小程序
    public static final String STAFF_INFO_SOURCE_YYJP = "2";

    // 3 同步（saas）
    public static final String STAFF_INFO_SOURCE_SYC_SAAS = "3";

    /**
     * 内部资料管理
     */
    // 内部资料管理-帐号状态 10:启用
    public static final String PROFILE_USER_ACCOUNT_STATUS_10 = "启用";
    // 内部资料管理-帐号状态 20:禁用
    public static final String PROFILE_USER_ACCOUNT_STATUS_20 = "禁用";
    // 内部资料管理-帐号状态 30:移除账号
    public static final String PROFILE_USER_ACCOUNT_STATUS_30 = "移除账号";

    //综合查询
    public static final String PROFILE_USER_AUTH_WHOLE = "profile:file:synthesize:page";
    //园所资料
    public static final String PROFILE_USER_AUTH_CONTROL = "profile:file:info:page";
    //方案成果
    public static final String PROFILE_USER_AUTH_ACHIEVEMENT = "scheme:achievement:info:page";
    //方案模板
    public static final String PROFILE_USER_AUTH_SCHEME_TEMPLATE = "schemeTemplate:info:page";
    //政策文件
    public static final String PROFILE_POLICY_AUTH = "profile:policy:info:page";
    //地方资源
    public static final String PROFILE_PLACE_RESOURCE_AUTH = "profile:place:resource:page";
    //专业理论
    public static final String PROFILE_THEORY_AUTH = "profile:theory:info:page";
    //活动案例
    public static final String PROFILE_USER_AUTH_CASE = "profile:activity:case:page";
    //主题方向
    public static final String PROFILE_USER_AUTH_DIRECTION = "profile:topic:direction:page";
    //标准管理
    public static final String PROFILE_USER_AUTH_STANDARD = "profile:standard:page";
    //标签管理
    public static final String PROFILE_USER_AUTH_LABEL = "profile:file:label:page";
    //权限配置
    public static final String PROFILE_USER_AUTH_AUTH = "profile:user:info:page";
    //园所资料授权
    public static final String PROFILE_USER_AUTH_KINDER = "profile:file:kindergarten:page";
    //区域游戏授权
    public static final String PROFILE_USER_GAME_AUTH = "activity:game:page";

    //用户信息-已通过
    public static final String USER_INFO_0 = "0";
    //用户信息-待验证
    public static final String USER_INFO_1 = "1";
    //用户信息-未通过
    public static final String USER_INFO_2 = "2";

    //骨干教师-是
    public static final String BACKBONE_YES = "是";
    //骨干教师-否
    public static final String BACKBONE_NO = "否";
    //骨干教师-状态
    public static final String BACKBONE_FLAG = "0";

    //创作类型-个人
    public static final String CREATE_TYPE_PERSONAL = "0";
    //创作类型-团队
    public static final String CREATE_TYPE_TEAM = "1";

    public static final String CREATE_TYPE_PERSONAL_DESC = "个人创作";
    public static final String CREATE_TYPE_TEAM_DESC = "团队创作";

    //班龄段-小班
    public static final String XIAO_BAN_CODE = "0";
    public static final String XIAO_BAN_DESC = "小班";
    //班龄段-中班
    public static final String ZHONG_BAN_CODE = "1";
    public static final String ZHONG_BAN_DESC = "中班";
    //班龄段-大班
    public static final String DA_BAN_CODE = "2";
    public static final String DA_BAN_DESC = "大班";

    public static final String NOT_ADDED_DESC = "暂未添加";

    public static final String PENDING_1 = "1";//待定
    public static final String PENDING = "待定";

    public static final String PROMOTE_0 = "0";//晋级
    public static final String PROMOTE = "已晋级";


    public static final String UNKNOWN = "未知状态";

    public static final String WAITING = "等待评选";
    public static final String WAITING_0 = "0";

    public static final String CURRENTLY = "正在评选";
    public static final String CURRENTLY_1 = "1";

    public static final String ACCOMPLISH = "完成评选";
    public static final String ACCOMPLISH_2 = "2";

    public static final String FORBIDDEN = "禁用";
    public static final String FORBIDDEN_3 = "3";

    //菜单分类
    public static final Long PLAT_FORM_MENU_PARENT_ID_0 = 0L;


    //静态加载班龄段
    public static final Map<String, String> AGE_SEGMENT_MAP = new HashMap<>();

    static {
        AGE_SEGMENT_MAP.put(XIAO_BAN_CODE, XIAO_BAN_DESC);
        AGE_SEGMENT_MAP.put(ZHONG_BAN_CODE, ZHONG_BAN_DESC);
        AGE_SEGMENT_MAP.put(DA_BAN_CODE, DA_BAN_DESC);
    }
}
