export default {
  FILE: {
    VIDEO: '.avi,.wmv,.mp4,.m4v,.mov,.flv,.rmvb',
    WORD: '.doc,.docx,.txt,.wps,.pages',
    EXCEL: '.xls,.xlsx,.xlsm,.et,.ett',
    PPT: '.ppt,.pptx,.dps',
    PDF: '.pdf',
    PNG: '.jpg,.jpeg,.png,.gif',
    AUDIO: '.mp3,.wav,.mov',
    TAGS: '.7z,.zip,.rar'
  },
  // system
  USER_TYPE: { administrator: '00', other: '10' }, // 用户类型 00 表示各管理员账号不允许租户修改删除 其他账号为10
  // BUS
  ON_PLATFORM_TOY_REPEAT: 'ON_PLATFORM_TOY_REPEAT', // 玩具查重
  ON_PROCESS_MSG: 'ON_PROCESS_MSG', // 流程管理实时消息推送

  // CACHE
  CACHE_BRAND_LIST: 'CACHE_BRAND_LIST',

  TOY_SORT_LEVEL: { AREA: 1, CATEGORY: 2, DETAIL: 2, GOALS: 4 }, // 区域、一级、二级、发展目标

  TOY_CARD_COLORS: ['#2E95FF', '#00B37D', '#5E6DD7', '#DF6F5D', '#A47EDA', '#FBB43A', '#F47361', '#2EC2BA'],
  PLATFORM_TENANT_ID: '9999',
  DEFAULT_ROOT_PATH: '/kindergarten',
  ALL_KEY: '999', // 全部
  STORAGE_OPTIONS: {
    namespace: 'jn__', // key prefix
    name: 'ls', // name variable Vue.[ls] or this.[$ls],
    storage: 'session' // storage name session, local, memory
  }
}
