export default {
  mobile: /^1[23456789]\d{9}$/,
  number: /^[1-9]\d*$/,
  character: /[`~!@#$%^&*()_\-+=<>?:"{}|,.\/;'\\[\]·~！@#￥%……&*（）——\-+={}|《》？：“”【】、；‘'，。、]/im,
  processName: /[\/\\:*?"<>|]/im,
  chinese: /[\u4e00-\u9fa5]+/g,
  password: /^([-,._!@#$%^&*a-zA-Z0-9]{6,20})$/,
  emoji: /\uD83C[\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F]/g
}
